Instalacja PHP5 na Apache2 [Windows]

Odpowiedz Nowy wątek
2006-12-04 02:32
0

Głupia sprawa.

Dotychczas pracowałem na IIS i PHP4 i to mi wystarczało.
(Nie)stety, zaczynam pracę nad większym projektem pisanym pod Apache (vhosty etc.) i PHP5 więc muszę to ustrojstwo zainstalować.

Zainstalowałem Apache 2.2.3, potem odpaliłem instalkę PHP 5.2, wybrałem serwer Apache 2.x jednak przy końcu dostaję błąd, że coś się nie powiodło [bez szczegółów więc nawet nie wiadomo, czego szukać].

OK, na tej stronie jest opis instalacji ręcznej. Wygląda prosto, 3 wpisy w konfigu Apache i tyle. Problem w tym, że o ile Apache testuje poprawność tych wpisów [nawet literówka wywala błąd i Apache nie startuje], to je olewa. W przeglądarce widzę kod PHP, nie jest on parsowany.

Prosiłbym o pomoc w tej kwestii.


Pozostało 580 znaków

2006-12-04 08:26
0

Witam

Ze 2 miesiące temu przeprowadzałem ręczną instalację php5.2 na Apache 2.2.3 i jedyny problem jaki napotkałem to błąd podczas ładowania przez Apache'a biblioteki php5apache2.dll (nie wiem czy chodzi o ten sam błąd ale rozwiązanie znalazłem na http://bugs.php.net/bug.php?id=37370&edit=1

pozdrawiam

Pozostało 580 znaków

2006-12-04 09:50
0

mi automatyczna instalacja nic nie wywala, jednak jedyne co ona robi to dodaje do httpd.conf wpisy:

#BEGIN PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL
PHPIniDir "C:\PHP 5.2.0\"
LoadModule php5_module "C:\PHP 5.2.0\php5apache2_2.dll"
#END PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL

a do mime.types:

application/x-httpd-php php
application/x-httpd-php-source phps

nawet się nie modyfikuje wpis DirectoryIndex

chociaż już nie pamiętam bo dawno dość instalowałem ale zdaje się też miałem jakiś problem z php5apache2[_2]


Dwie zasady gwarantujące sukces:
1. Nigdy nie mów nikomu wszystkiego<span style="color: white">

Pozostało 580 znaków

2006-12-04 19:26
0

Sylwester - ten błąd jest w Apache2 ale nie 2.2, więc to odpada. Poza tym nie mam żadnego błędu - po prostu brak parsowania.

Adamo - podałem link z instalacją manualną, wszystko, co napisałeś już mam.
Nie rozumiem skąd Apache ma wiedzieć, że pliki php ma posłać do modułu o zdeklarowanej nazwie "php5_module" ?

Proszę o jakieś inne informacje, bo to co piszecie mam - i to nie działa.
Dodam, że mam na innym porcie IIS+PHP4 ale to raczej nie ma znaczenia.


Pozostało 580 znaków

2006-12-04 19:44
0

Hmm, ja rozwiązałem to w ten sposób


Pozdrawia DzieX

int getRandomNumber() { return 4; }

Pozostało 580 znaków

2006-12-04 19:59
0

W sumie to coś jak Krasnal, wszystko w jednym worku.
Nie chciałem z tego korzystać, gdyż nie mam tam możliwości doboru wersji ani wymaganych komponentów.
Poczekam do jutra.. jak nie padnie inna pomoc, to spróbuję ten mega-pack bo akurat wersje tamtejszych apache i php takie, jakie potrzebuję. thx


Pozostało 580 znaków

2006-12-04 20:11
0

Ja mam jeszcze cos takiego:

<Directory "c:/php/">
Options Indexes FollowSymLinks Includes ExecCGI
AllowOverride All
order allow,deny
allow from all
</Directory> 

Jak cos to moge przeslac na maila httpd.conf. Jest Apache 2.055 + php 5.1.2 i hula. Czy ustawione sensownie, to nie wiem, bo uzywam tylko na localu do testowania ;)


You need to learn how to walk
before you can run

Pozostało 580 znaków

2006-12-04 23:08
0

no wie właśnie z tych typów mime
no instalacja jest prosta i nie wiem co przy niej można zwalić
poza tym wydaje mi się że nie "skąd Apache ma wiedzieć, że pliki php ma posłać do modułu o zdeklarowanej nazwie "php5_module"" bo dane wydaje mi się że sobie wędrują po wszsystkich modułach (no chyba że php miałbyś jako cgi)


Dwie zasady gwarantujące sukces:
1. Nigdy nie mów nikomu wszystkiego<span style="color: white">

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0